perl-URPM-5.21-1.mga7.i586.rpm


Advertisement

Description

perl-URPM - Librpm perl bindings for urpmi

Property Value
Distribution Mageia Cauldron
Repository Mageia Core i586
Package filename perl-URPM-5.21-1.mga7.i586.rpm
Package name perl-URPM
Package version 5.21
Package release 1.mga7
Package architecture i586
Package type rpm
Category Development/Perl
Homepage http://search.cpan.org/~tvignaud/URPM/URPM.pm
License GPL or Artistic
Maintainer -
Download size 117.76 KB
Installed size 354.20 KB
The URPM module allows you to manipulate rpm files, rpm header files and
hdlist files and manage them in memory.

Alternatives

Package Version Architecture Repository
perl-URPM-5.21-1.mga7.x86_64.rpm 5.21 x86_64 Mageia Core
perl-URPM - - -

Requires

Name Value
libc.so.6 -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libc.so.6(GLIBC_2.8) -
libperl.so.5.28 -
libpthread.so.0 -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.2) -
librpm.so.8 -
librpmbuild.so.8 -
librpmio.so.8 -
perl(Config) -
perl(DynaLoader) -
perl(MDV::Packdrakeng) -
perl(URPM::Build) -
perl(URPM::Resolve) -
perl(URPM::Signature) -
perl(strict) -
perl(warnings) -
perl-base >= 2:5.28.0
rpm >= 1:4.14.2

Provides

Name Value
perl(URPM) -
perl(URPM) == 5.210.0
perl(URPM::Build) == 5.21-1.mga7
perl(URPM::DB) -
perl(URPM::Package) -
perl(URPM::Resolve) == 5.21-1.mga7
perl(URPM::Signature) == 5.21-1.mga7
perl(URPM::Transaction) -
perl-URPM == 5.21-1.mga7
perl-URPM(x86-32) == 5.21-1.mga7

Conflicts

Name Value
urpmi < 8.102

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package perl-URPM-5.21-1.mga7.i586.rpm
Source Package perl-URPM-5.21-1.mga7.src.rpm

Install Howto

  1. Enable Mageia Core repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install perl-URPM rpm package:
    # urpmi perl-URPM

Files

Path
/usr/lib/.build-id/
/usr/lib/.build-id/e3/21de38598b8d52c5d129ad689df972ae3c66d7
/usr/lib/perl5/vendor_perl/URPM.pm
/usr/lib/perl5/vendor_perl/URPM/Build.pm
/usr/lib/perl5/vendor_perl/URPM/Resolve.pm
/usr/lib/perl5/vendor_perl/URPM/Signature.pm
/usr/lib/perl5/vendor_perl/auto/URPM/URPM.so
/usr/share/doc/perl-URPM/NEWS
/usr/share/doc/perl-URPM/README
/usr/share/man/man3/URPM.3pm.xz
/usr/share/man/man3/URPM::Resolve.3pm.xz

Changelog

2018-09-18 - tv <tv> 5.21-1.mga7
(not released yet)
+ Revision: 1259511
- fix callback parameters doc
- restore rpm-4.11.x compatibility
2018-09-16 - tv <tv> 5.20-1.mga7
+ Revision: 1259242
- restore support for rpm < 4.14.2
2018-09-15 - tv <tv> 5.19-1.mga7
+ Revision: 1258989
- add support for verify callback when installing (mga#23531)
2018-08-05 - tmb <tmb> 5.18-3.mga7
+ Revision: 1247851
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl
2018-06-25 - tv <tv> 5.18-1.mga7
+ Revision: 1239649
- Don't select an obsolete package to resolve dependencies/conflicts
(mga#23223)
2018-06-14 - tv <tv> 5.17-1.mga7
+ Revision: 1236818
- fix finding better pkg (mga#23037)
2018-02-10 - tv <tv> 5.16-1.mga7
+ Revision: 1200053
- make clear URPM needs rpm >= 4.14
- restore compatibility with rpm-4.12.x & 4.13.x
- revert fix for segfault with rpm-4.14 when checking invalid signatures as rpm
got fixed
- restore rpm-4.12.x compatibility
- restore rpm-4.13.x compatibility
- use ExtUtils::PkgConfig in order to get rpm installed
- cpan testers:
o add cflags reported by pkgconfig
(needed for eg: FreeBSD where rpm is installed under /usr/local)
o advertize the proper pkg for most distros
o skip all rpmdb tests on Debian/Ubutun
o skip failing tests on *BSD
- switch Urpm_verify_rpm() to use rpmReadPackageFile() to support back ignoring
signatures with rpm 4.14 (mga#21886)
2017-10-03 - tv <tv> 5.15-1.mga7
+ Revision: 1167995
- testsuite:
o fix segfault with rpm-4.14 when checking invalid signatures
o revert workaround perl-5.26 vs librpm bug which results on exit cleanup
2017-10-03 - tv <tv> 5.14-3.mga7
+ Revision: 1167247
- rebuild with fixed rpm for missing autodeps
2017-09-28 - wally <wally> 5.14-2.mga7
+ Revision: 1160971
- rebuild for arm

See Also

Package Description
perl-USER-2.19-1.mga7.i586.rpm Perl module to access to user and group information
perl-UUID-0.280.0-1.mga7.i586.rpm Perl extension for using UUID interfaces as defined in e2fsprogs
perl-UUID-Random-0.40.0-6.mga7.noarch.rpm Generate random uuid strings
perl-UUID-Random-Patch-UseMRS-0.10.0-6.mga7.noarch.rpm Make UUID::Random use Math::Random::Secure's rand()
perl-UUID-Tiny-1.40.0-7.mga7.noarch.rpm Pure Perl UUID functions
perl-UV-1.0.8-3.mga7.i586.rpm Perl interface to libuv
perl-Ubic-1.600.0-3.mga7.noarch.rpm Dummy credentials module
perl-Unexpected-1.0.1-3.mga7.noarch.rpm Exception class composed from traits
perl-Unicode-CaseFold-1.10.0-4.mga7.i586.rpm Unicode case-folding for case-insensitive lookups
perl-Unicode-CheckUTF8-1.30.0-15.mga7.i586.rpm Checks if scalar is valid UTF-8
perl-Unicode-Collate-1.270.0-1.mga7.i586.rpm Weighting JIS KANJI for Unicode::Collate
perl-Unicode-EastAsianWidth-1.400.0-1.mga7.noarch.rpm East Asian Width properties
perl-Unicode-EastAsianWidth-Detect-0.30.0-8.mga7.noarch.rpm Detect CJK Language
perl-Unicode-LineBreak-2019.1.0-3.mga7.i586.rpm UAX #14 Unicode Line Breaking Algorithm
perl-Unicode-Map-0.112.0-29.mga7.i586.rpm Maps charsets from and to utf16 unicode
Advertisement
Advertisement